Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Any.cpp File Reference

`#include "tao/Any_Basic_Impl.h"`
`#include "tao/Any_Impl_T.h"`
`#include "tao/Any_Special_Impl_T.h"`
`#include "tao/Any_Dual_Impl_T.h"`
`#include "tao/Any_Unknown_IDL_Type.h"`
`#include "tao/Object.h"`
`#include "tao/Typecode.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_wchar.h"`
`#include "ace/OS_Memory.h"`
`#include "tao/Any.i"`

Include dependency graph for Any.cpp:

## Functions
const char * | get_rcsid_tao_Any (const char *)
CORBA::Boolean | operator<< (TAO_OutputCDR &cdr, const CORBA::Any &any)
CORBA::Boolean | operator>> (TAO_InputCDR &cdr, CORBA::Any &any)
void | operator<<= (CORBA::Any &any, CORBA::Short s)
| Typesafe insertion.
void | operator<<= (CORBA::Any &any, CORBA::UShort us)
void | operator<<= (CORBA::Any &any, CORBA::Long l)
void | operator<<= (CORBA::Any &any, CORBA::ULong ul)
void | operator<<= (CORBA::Any &any, CORBA::LongLong ll)
void | operator<<= (CORBA::Any &any, CORBA::ULongLong ull)
void | operator<<= (CORBA::Any &any, CORBA::Float f)
void | operator<<= (CORBA::Any &any, CORBA::Double d)
void | operator<<= (CORBA::Any &any, CORBA::LongDouble ld)
void | operator<<= (CORBA::Any &any, const CORBA::Any &a)
void | operator<<= (CORBA::Any &any, CORBA::Any *a)
void | operator<<= (CORBA::Any &any, CORBA::TypeCode_ptr tc)
void | operator<<= (CORBA::Any &any, CORBA::TypeCode_ptr *tc)
void | operator<<= (CORBA::Any &any, const CORBA::Object_ptr obj)
void | operator<<= (CORBA::Any &any, CORBA::Object_ptr *objptr)
void | operator<<= (CORBA::Any &any, const char *s)
void | operator<<= (CORBA::Any &any, const CORBA::WChar *ws)
CORBA::Boolean | operator>>= (const CORBA::Any &any, CORBA::Short &s)
| Typesafe extraction.
CORBA::Boolean | operator>>= (const CORBA::Any &any, CORBA::UShort &us)
CORBA::Boolean | operator>>= (const CORBA::Any &any, CORBA::Long &l)
CORBA::Boolean | operator>>= (const CORBA::Any &any, CORBA::ULong &ul)
CORBA::Boolean | operator>>= (const CORBA::Any &any, CORBA::LongLong &ll)
CORBA::Boolean | operator>>= (const CORBA::Any &any, CORBA::ULongLong &ull)
CORBA::Boolean | operator>>= (const CORBA::Any &any, CORBA::Float &f)
CORBA::Boolean | operator>>= (const CORBA::Any &any, CORBA::Double &d)
CORBA::Boolean | operator>>= (const CORBA::Any &any, CORBA::LongDouble &ld)
CORBA::Boolean | operator>>= (const CORBA::Any &any, const CORBA::Any *&a)
CORBA::Boolean | operator>>= (const CORBA::Any &any, const CORBA::Char *&s)
CORBA::Boolean | operator>>= (const CORBA::Any &any, const CORBA::WChar *&ws)
CORBA::Boolean | operator>>= (const CORBA::Any &any, CORBA::TypeCode_ptr &tc)
## Variables
const char * | rcsid_tao_Any = get_rcsid_tao_Any ( rcsid_tao_Any )

## Function Documentation

const char* get_rcsid_tao_Any | ( | const char * |  | ) | `[inline, static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | cdr,
|  | const CORBA::Any & | any
| ) |

void operator<<= | ( | CORBA::Any & | any,
|  | const CORBA::WChar * | ws
| ) |

void operator<<= | ( | CORBA::Any & | any,
|  | const char * | s
| ) |

void operator<<= | ( | CORBA::Any & | any,
|  | CORBA::Object_ptr * | objptr
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | any,
|  | const CORBA::Object_ptr | obj
| ) |

void operator<<= | ( | CORBA::Any & | any,
|  | CORBA::TypeCode_ptr * | tc
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | any,
|  | CORBA::TypeCode_ptr | tc
| ) |

void operator<<= | ( | CORBA::Any & | any,
|  | CORBA::Any * | a
| ) |

void operator<<= | ( | CORBA::Any & | any,
|  | const CORBA::Any & | a
| ) |

void operator<<= | ( | CORBA::Any & | any,
|  | CORBA::LongDouble | ld
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | any,
|  | CORBA::Double | d
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | any,
|  | CORBA::Float | f
| ) |

void operator<<= | ( | CORBA::Any & | any,
|  | CORBA::ULongLong | ull
| ) |

void operator<<= | ( | CORBA::Any & | any,
|  | CORBA::LongLong | ll
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | any,
|  | CORBA::ULong | ul
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | any,
|  | CORBA::Long | l
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | any,
|  | CORBA::UShort | us
| ) |

void operator<<= | ( | CORBA::Any & | any,
|  | CORBA::Short | s
| ) |

| Typesafe insertion.

CORBA::Boolean operator>> | ( | TAO_InputCDR & | cdr,
|  | CORBA::Any & | any
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | CORBA::TypeCode_ptr & | tc
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | const CORBA::WChar *& | ws
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | const CORBA::Char *& | s
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | const CORBA::Any *& | a
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | CORBA::LongDouble & | ld
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | CORBA::Double & | d
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | CORBA::Float & | f
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | CORBA::ULongLong & | ull
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | CORBA::LongLong & | ll
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | CORBA::ULong & | ul
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | CORBA::Long & | l
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | CORBA::UShort & | us
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | CORBA::Short & | s
| ) |

| Typesafe extraction.

## Variable Documentation

const char* rcsid_tao_Any = get_rcsid_tao_Any ( rcsid_tao_Any )`[static]`